メインコンテンツへスキップ
POST
/
v1
/
responses
curl --request POST \
  --url 'https://api.elkapi.com/v1/responses' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "model": "gpt-5.5",
  "input": "今日は天気がよく、散歩にぴったりです。",
  "temperature": 1,
  "stream": false
}'
{
  "id": "id",
  "object": "response",
  "created_at": 1,
  "status": "completed",
  "model": "gpt-5.5",
  "output": [
    {
      "type": "type",
      "id": "id",
      "status": "status",
      "role": "user",
      "content": "こんにちは、自己紹介してください"
    }
  ],
  "usage": {
    "prompt_tokens": 1,
    "completion_tokens": 1,
    "total_tokens": 1,
    "prompt_tokens_details": {
      "cached_tokens": 1,
      "text_tokens": 1,
      "audio_tokens": 1,
      "image_tokens": 1
    },
    "completion_tokens_details": {
      "text_tokens": 1,
      "audio_tokens": 1,
      "reasoning_tokens": 1
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.elkapi.com/llms.txt

Use this file to discover all available pages before exploring further.

curl --request POST \
  --url 'https://api.elkapi.com/v1/responses' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "model": "gpt-5.5",
  "input": "今日は天気がよく、散歩にぴったりです。",
  "temperature": 1,
  "stream": false
}'
{
  "id": "id",
  "object": "response",
  "created_at": 1,
  "status": "completed",
  "model": "gpt-5.5",
  "output": [
    {
      "type": "type",
      "id": "id",
      "status": "status",
      "role": "user",
      "content": "こんにちは、自己紹介してください"
    }
  ],
  "usage": {
    "prompt_tokens": 1,
    "completion_tokens": 1,
    "total_tokens": 1,
    "prompt_tokens_details": {
      "cached_tokens": 1,
      "text_tokens": 1,
      "audio_tokens": 1,
      "image_tokens": 1
    },
    "completion_tokens_details": {
      "text_tokens": 1,
      "audio_tokens": 1,
      "reasoning_tokens": 1
    }
  }
}

Authorizations

Authorization
string
必須
すべてのエンドポイントで Bearer Token 認証が必要です。リクエストヘッダーに追加します:
Authorization: Bearer YOUR_API_KEY

Body

model
string
デフォルト:"gpt-5.5"
必須
例:gpt-5.5
input
string or array<object>
入力内容。文字列またはメッセージ配列を指定できます
instructions
string
max_output_tokens
integer
temperature
number
top_p
number
stream
boolean
tools
array<object>
tool_choice
string or object
reasoning
object
reasoning.effort
string
指定可能な値:lowmediumhigh
reasoning.summary
string
previous_response_id
string
truncation
string
指定可能な値:autodisabled

Response

id
string
object
string
例:response
created_at
integer
status
string
指定可能な値:completedfailedin_progressincomplete
model
string
デフォルト:"gpt-5.5"
例:gpt-5.5
output
array<object>
output.type
string
output.id
string
output.status
string
output.role
string
output.content
array<object>
output.content.type
string
output.content.text
string
usage
object
usage.prompt_tokens
integer
プロンプトトークン数
usage.completion_tokens
integer
補完トークン数
usage.total_tokens
integer
合計トークン数
usage.prompt_tokens_details
object
usage.prompt_tokens_details.cached_tokens
integer
usage.prompt_tokens_details.text_tokens
integer
usage.prompt_tokens_details.audio_tokens
integer
usage.prompt_tokens_details.image_tokens
integer
usage.completion_tokens_details
object
usage.completion_tokens_details.text_tokens
integer
usage.completion_tokens_details.audio_tokens
integer
usage.completion_tokens_details.reasoning_tokens
integer